Retrieve a stored card
Fetches basic information about a previously tokenized credit card using its unique identifier.
Authorizations
X-LoginstringRequired
Path parameters
card_identifierstringRequired
The unique card token obtained during tokenization
Header parameters
Content-TypestringRequiredDefault:
Media type of the body sent to the API
application/jsonX-Datestring · date-timeRequired
ISO8601 Datetime with Timezone (yyyy-MM-dd'T'HH:mm:ssZ)
X-LoginstringRequired
Merchant X-Login API Key
AuthorizationstringRequired
Authorization control hash
X-Idempotency-KeystringOptional
Unique idempotency key for ensuring that the same request is not processed more than once
Responses
200
Successfully retrieved card information
application/json
holder_namestringRequiredExample:
Cardholder name
Luis Perezexpiration_monthinteger · min: 1 · max: 12RequiredExample:
Expiration month
10expiration_yearintegerRequiredExample:
Expiration year
2028last_four_digitsstringRequiredExample:
Last four digits of the card
1111Pattern: ^\d{4}$brandstringRequiredExample:
The card brand
VISAfirst_sixstringRequiredExample:
The first six digits (BIN) of the card
411111Pattern: ^\d{6}$400
Invalid request format
application/json
401
Unauthorized
application/json
404
Token not found
application/json
get/v3/tokenization/{card_identifier}
GET /v3/tokenization/{card_identifier} HTTP/1.1
Host: cc-api-stg.onekeypayments.com
X-Login: text
Content-Type: application/json
X-Date: 2026-01-01T00:00:00.000Z
Authorization: text
Accept: */*
{
"holder_name": "Luis Perez",
"expiration_month": 10,
"expiration_year": 2028,
"last_four_digits": "1111",
"brand": "VISA",
"first_six": "411111"
}Last updated
Was this helpful?

